UUIDGEN(1)

NAMN
uuidgen - skapa ett nytt UUID-värde

SYNOPSIS

uuidgen [flaggor]

BESKRIVNING

Programmet uuidgen skapar (och skriver ut) en ny universellt unik identifierare (UUID) med hjälp av biblioteket libuuid(3). Den nya UUID:n kan rimligen betraktas som unik bland alla UUID:er som skapats på det lokala systemet och bland UUID:er som skapats på andra system i det förflutna och i framtiden.

Det finns tre typer av UUID:er som uuidgen kan generera: tidsbaserade UUID:er, slumpbaserade UUID:er och hashbaserade UUID:er. Som standard kommer uuidgen att generera ett slumpbaserat UUID om det finns en slumptalsgenerator av hög kvalitet. Annars väljer den ett tidsbaserat UUID. Det är möjligt att tvinga fram generering av en av dessa två första UUID-typer genom att använda flaggorna --random eller --time.

Den tredje typen av UUID genereras med flaggorna --md5 eller --sha1, följt av --namespace namnrymd och --name namn. namnrymd kan antingen vara ett välkänt UUID eller ett alias för ett av de välkända UUID som definieras i RFC 4122, dvs. @dns, @url, @oid eller @x500. namn är ett godtyckligt strängvärde. Det genererade UUID:t är en sammanfattning av sammankopplingen av namnområdes-UUID:t och namnvärdet, hashat med MD5- eller SHA1-algoritmerna. Det är därför ett förutsägbart värde som kan vara användbart när UUID:er används som handtag eller nonces för mer komplexa värden eller värden som inte bör avslöjas direkt. Se RFC för mer information.

FLAGGOR

-r, --random
    Generera ett slumpbaserat UUID. Den här metoden skapar ett UUID som till största delen består av slumpmässiga bitar. Den kräver att operativsystemet har en slumptalsgenerator av hög kvalitet, t.ex. /dev/random.

-t, --time
    Generera ett tidsbaserat UUID. Den här metoden skapar ett UUID baserat på systemklockan plus systemets Ethernet-hårdvaruadress, om sådan finns.

-m, --md5
    Använd MD5 som hashalgoritm.

-s, --sha1
    Använd SHA1 som hashalgoritm.

-6, --time-v6
    Generate a time-based UUID. This method creates a UUID based on the system clock and is lexicographically sortable according to the contained timestamp.

-7, --time-v7
    Generate a time-based UUID. This method creates a UUID based on the system clock and is lexicographically sortable according to the contained timestamp.

-n, --namespace namnrymd
    Generera hashen med prefixet namnrymd. namnrymd är UUID eller "@ns" där "ns" är ett välkänt fördefinierat UUID som adresseras av namnrymdens namn (se ovan).

-N, --name namn
    Generera hashvärdet för namn.

-C, --count num
    Generera flera UUID:er med hjälp av den förbättrade förmågan hos libuuid att cachelagra tidsbaserade UUID:er, vilket ger förbättrad prestanda. Detta har dock ingen betydelse för andra UUID-typer.

-x, --hex
    Tolka namnet namn som en hexadecimal sträng.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

I ÖVERENSSTÄMMELSE MED

OSF DCE 1.1

EXEMPEL

uuidgen --shA1 --namnområde @dns --namn "www.example.com"

UPPHOVSPERSONER

uuidgen skrevs av Andreas Dilger för libuuid(3).

SE ÄVEN

uuidparse(1), libuuid(3), länk:https://tools.ietf.org/html/rfc4122[RFC 4122] länk:https://tools.ietf.org/html/rfcXXXX[RFC XXXX]

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot uuidgen ingår i paketet util-linux som kan hämtas från